import{S as zd,i as Sd,s as Pd,e as a,k as h,w,t as p,M as Ad,c as i,d as t,m as f,a as l,x as T,h as m,b as q,G as e,g as k,y as b,q as O,o as M,B as y,v as Nd,L as S}from"../../../chunks/vendor-hf-doc-builder.js";import{T as Qe}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as P}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as he}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as z}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Id(E){let n,_,c,u,g;return{c(){n=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),g=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(s,r){k(s,n,r),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function Dd(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){n=a("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Example of text generation:"),r.forEach(t),c=f(s),T(u.$$.fragment,s)},m(s,r){k(s,n,r),e(n,_),k(s,c,r),b(u,s,r),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function Ld(E){let n,_,c,u,g,s,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){n=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),g=p(":"),s=h(),w(r.$$.fragment)},l(d){n=i(d,"P",{});var $=l(n);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),T(r.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),b(r,d,$),x=!0},p:S,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(r,d)}}}function Xd(E){let n,_,c,u,g;return{c(){n=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),g=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(s,r){k(s,n,r),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function Qd(E){let n,_,c,u,g,s,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="pt")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){n=a("p"),_=p("Example of custom tasks(e.g. a sentence transformers taking "),c=a("code"),u=p("pooler_output"),g=p(" as output):"),s=h(),w(r.$$.fragment)},l(d){n=i(d,"P",{});var $=l(n);_=m($,"Example of custom tasks(e.g. a sentence transformers taking "),c=i($,"CODE",{});var j=l(c);u=m(j,"pooler_output"),j.forEach(t),g=m($," as output):"),$.forEach(t),s=f(d),T(r.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),b(r,d,$),x=!0},p:S,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(r,d)}}}function Ud(E){let n,_,c,u,g,s,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){n=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),g=p("(only if the task is supported):"),s=h(),w(r.$$.fragment)},l(d){n=i(d,"P",{});var $=l(n);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),g=m($,"(only if the task is supported):"),$.forEach(t),s=f(d),T(r.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),b(r,d,$),x=!0},p:S,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(r,d)}}}function Wd(E){let n,_,c,u,g;return{c(){n=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),g=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(s,r){k(s,n,r),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function Hd(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){n=a("p"),_=p("Example of feature extraction:"),c=h(),w(u.$$.fragment)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Example of feature extraction:"),r.forEach(t),c=f(s),T(u.$$.fragment,s)},m(s,r){k(s,n,r),e(n,_),k(s,c,r),b(u,s,r),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function Vd(E){let n,_,c,u,g,s,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){n=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),g=p(":"),s=h(),w(r.$$.fragment)},l(d){n=i(d,"P",{});var $=l(n);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),T(r.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),b(r,d,$),x=!0},p:S,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(r,d)}}}function Bd(E){let n,_,c,u,g;return{c(){n=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),g=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(s,r){k(s,n,r),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function Gd(E){let n,_,c,u,g;return u=new P({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){n=a("p"),_=p("Example of image classification:"),c=h(),w(u.$$.fragment)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Example of image classification:"),r.forEach(t),c=f(s),T(u.$$.fragment,s)},m(s,r){k(s,n,r),e(n,_),k(s,c,r),b(u,s,r),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function Jd(E){let n,_,c,u,g,s,r,x;return r=new P({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){n=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),g=p(":"),s=h(),w(r.$$.fragment)},l(d){n=i(d,"P",{});var $=l(n);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),T(r.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),b(r,d,$),x=!0},p:S,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(r,d)}}}function Yd(E){let n,_,c,u,g;return{c(){n=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),g=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(s,r){k(s,n,r),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function Kd(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="pt")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){n=a("p"),_=p("Example of question answering:"),c=h(),w(u.$$.fragment)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Example of question answering:"),r.forEach(t),c=f(s),T(u.$$.fragment,s)},m(s,r){k(s,n,r),e(n,_),k(s,c,r),b(u,s,r),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function Zd(E){let n,_,c,u,g,s,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){n=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),g=p(":"),s=h(),w(r.$$.fragment)},l(d){n=i(d,"P",{});var $=l(n);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),T(r.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),b(r,d,$),x=!0},p:S,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(r,d)}}}function ec(E){let n,_,c,u,g;return{c(){n=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),g=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(s,r){k(s,n,r),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function tc(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){n=a("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Example of text generation:"),r.forEach(t),c=f(s),T(u.$$.fragment,s)},m(s,r){k(s,n,r),e(n,_),k(s,c,r),b(u,s,r),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function oc(E){let n,_,c,u,g,s,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){n=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),g=p(":"),s=h(),w(r.$$.fragment)},l(d){n=i(d,"P",{});var $=l(n);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),T(r.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),b(r,d,$),x=!0},p:S,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(r,d)}}}function nc(E){let n,_,c,u,g;return{c(){n=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),g=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(s,r){k(s,n,r),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function sc(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){n=a("p"),_=p("Example of single-label classification:"),c=h(),w(u.$$.fragment)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Example of single-label classification:"),r.forEach(t),c=f(s),T(u.$$.fragment,s)},m(s,r){k(s,n,r),e(n,_),k(s,c,r),b(u,s,r),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function rc(E){let n,_,c,u,g,s,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){n=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),g=p(":"),s=h(),w(r.$$.fragment)},l(d){n=i(d,"P",{});var $=l(n);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),T(r.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),b(r,d,$),x=!0},p:S,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(r,d)}}}function ac(E){let n,_,c,u,g,s,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_class=<span class="hljs-literal">True</span>)`}}),{c(){n=a("p"),_=p("Example using zero-shot-classification "),c=a("code"),u=p("transformers.pipelines"),g=p(":"),s=h(),w(r.$$.fragment)},l(d){n=i(d,"P",{});var $=l(n);_=m($,"Example using zero-shot-classification "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),T(r.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),b(r,d,$),x=!0},p:S,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(r,d)}}}function ic(E){let n,_,c,u,g;return{c(){n=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),g=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(s,r){k(s,n,r),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function lc(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){n=a("p"),_=p("Example of text generation:"),c=h(),w(u.$$.fragment)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Example of text generation:"),r.forEach(t),c=f(s),T(u.$$.fragment,s)},m(s,r){k(s,n,r),e(n,_),k(s,c,r),b(u,s,r),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function pc(E){let n,_,c,u,g,s,r,x;return r=new P({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){n=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipeline"),g=p(":"),s=h(),w(r.$$.fragment)},l(d){n=i(d,"P",{});var $=l(n);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipeline"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),T(r.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),b(r,d,$),x=!0},p:S,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(r,d)}}}function mc(E){let n,_,c,u,g;return{c(){n=a("p"),_=p("Although the recipe for forward pass needs to be defined within this function, one should call the "),c=a("code"),u=p("Module"),g=p(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Although the recipe for forward pass needs to be defined within this function, one should call the "),c=i(r,"CODE",{});var x=l(c);u=m(x,"Module"),x.forEach(t),g=m(r,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),r.forEach(t)},m(s,r){k(s,n,r),e(n,_),e(n,c),e(c,u),e(n,g)},d(s){s&&t(n)}}}function dc(E){let n,_,c,u,g;return u=new P({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="pt")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)`}}),{c(){n=a("p"),_=p("Example of token classification:"),c=h(),w(u.$$.fragment)},l(s){n=i(s,"P",{});var r=l(n);_=m(r,"Example of token classification:"),r.forEach(t),c=f(s),T(u.$$.fragment,s)},m(s,r){k(s,n,r),e(n,_),k(s,c,r),b(u,s,r),g=!0},p:S,i(s){g||(O(u.$$.fragment,s),g=!0)},o(s){M(u.$$.fragment,s),g=!1},d(s){s&&t(n),s&&t(c),y(u,s)}}}function cc(E){let n,_,c,u,g,s,r,x;return r=new P({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){n=a("p"),_=p("Example using "),c=a("code"),u=p("transformers.pipelines"),g=p(":"),s=h(),w(r.$$.fragment)},l(d){n=i(d,"P",{});var $=l(n);_=m($,"Example using "),c=i($,"CODE",{});var j=l(c);u=m(j,"transformers.pipelines"),j.forEach(t),g=m($,":"),$.forEach(t),s=f(d),T(r.$$.fragment,d)},m(d,$){k(d,n,$),e(n,_),e(n,c),e(c,u),e(n,g),k(d,s,$),b(r,d,$),x=!0},p:S,i(d){x||(O(r.$$.fragment,d),x=!0)},o(d){M(r.$$.fragment,d),x=!1},d(d){d&&t(n),d&&t(s),y(r,d)}}}function uc(E){let n,_,c,u,g,s,r,x,d,$,j,Ue,Yo,Pt,Ar,Ko,Nr,Hs,F,At,Ir,Zo,Dr,Lr,Nt,Xr,en,Qr,Ur,Wr,tn,Hr,Vr,It,ie,Br,on,Gr,Jr,nn,Yr,Kr,sn,Zr,ea,ta,le,oa,rn,na,sa,an,ra,aa,ln,ia,la,pa,pn,ma,da,K,Dt,ca,mn,ua,ha,fa,Lt,ga,Xt,_a,$a,va,Z,ka,dn,xa,wa,cn,Ta,ba,un,Oa,Ma,hn,ya,qa,Ea,Qt,ja,fn,Ra,Fa,Ca,gn,za,Sa,We,Ut,Pa,_n,Aa,Na,He,Wt,Ia,Ht,Da,$n,La,Xa,Qa,Ve,Vt,Ua,vn,Wa,Vs,Oe,Be,kn,Bt,Ha,xn,Va,Bs,pe,Gt,Ba,wn,Ga,Ja,U,Jt,Ya,Me,Ka,Tn,Za,ei,bn,ti,oi,ni,Ge,si,Je,ri,Ye,Gs,ye,Ke,On,Yt,ai,Mn,ii,Js,Q,Kt,li,yn,pi,mi,Zt,di,qn,ci,ui,hi,En,fi,gi,W,eo,_i,qe,$i,jn,vi,ki,Rn,xi,wi,Ti,Ze,bi,et,Oi,tt,Ys,Ee,ot,Fn,to,Mi,Cn,yi,Ks,A,oo,qi,zn,Ei,ji,no,Ri,Sn,Fi,Ci,zi,Pn,Si,Pi,H,so,Ai,je,Ni,An,Ii,Di,Nn,Li,Xi,Qi,nt,Ui,st,Wi,rt,Hi,at,ro,Vi,In,Bi,Zs,Re,it,Dn,ao,Gi,Ln,Ji,er,N,io,Yi,Xn,Ki,Zi,lo,el,Qn,tl,ol,nl,Un,sl,rl,V,po,al,Fe,il,Wn,ll,pl,Hn,ml,dl,cl,lt,ul,pt,hl,mt,fl,dt,mo,gl,Vn,_l,tr,Ce,ct,Bn,co,$l,Gn,vl,or,I,uo,kl,Jn,xl,wl,ho,Tl,Yn,bl,Ol,Ml,Kn,yl,ql,B,fo,El,ze,jl,Zn,Rl,Fl,es,Cl,zl,Sl,ut,Pl,ht,Al,ft,Nl,gt,go,Il,ts,Dl,nr,Se,_t,os,_o,Ll,ns,Xl,sr,me,$o,Ql,ss,Ul,Wl,G,vo,Hl,Pe,Vl,rs,Bl,Gl,as,Jl,Yl,Kl,$t,Zl,vt,ep,kt,rr,Ae,xt,is,ko,tp,ls,op,ar,D,xo,np,ps,sp,rp,wo,ap,ms,ip,lp,pp,ds,mp,dp,X,To,cp,Ne,up,cs,hp,fp,us,gp,_p,$p,wt,vp,Tt,kp,bt,xp,Ot,wp,Mt,bo,Tp,hs,bp,ir,Ie,yt,fs,Oo,Op,gs,Mp,lr,de,Mo,yp,_s,qp,Ep,J,yo,jp,De,Rp,$s,Fp,Cp,vs,zp,Sp,Pp,qt,Ap,Et,Np,jt,pr,Le,Rt,ks,qo,Ip,xs,Dp,mr,L,Eo,Lp,ws,Xp,Qp,jo,Up,Ts,Wp,Hp,Vp,bs,Bp,Gp,Y,Ro,Jp,Xe,Yp,Os,Kp,Zp,Ms,em,tm,om,Ft,nm,Ct,sm,zt,rm,St,Fo,am,ys,im,dr;return s=new he({}),Pt=new he({}),At=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L120"}}),Ut=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"from_transformers",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, <em>optional</em>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L491",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),Wt=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, <em>optional</em>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, <em>optional</em>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L251"}}),Vt=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L225",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),Bt=new he({}),Gt=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L703"}}),Jt=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_decoder.py#L711"}}),Ge=new Qe({props:{$$slots:{default:[Id]},$$scope:{ctx:E}}}),Je=new z({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[Dd]},$$scope:{ctx:E}}}),Ye=new z({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[Ld]},$$scope:{ctx:E}}}),Yt=new he({}),Kt=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1583"}}),eo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1595"}}),Ze=new Qe({props:{$$slots:{default:[Xd]},$$scope:{ctx:E}}}),et=new z({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[Qd]},$$scope:{ctx:E}}}),tt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[Ud]},$$scope:{ctx:E}}}),to=new he({}),oo=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L579"}}),so=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L662"}}),nt=new Qe({props:{$$slots:{default:[Wd]},$$scope:{ctx:E}}}),st=new z({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[Hd]},$$scope:{ctx:E}}}),rt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[Vd]},$$scope:{ctx:E}}}),ro=new R({props:{name:"prepare_output_buffer",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.prepare_output_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"hidden_size",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L591"}}),ao=new he({}),io=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1453"}}),po=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": Tensor"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1507"}}),lt=new Qe({props:{$$slots:{default:[Bd]},$$scope:{ctx:E}}}),pt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[Gd]},$$scope:{ctx:E}}}),mt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[Jd]},$$scope:{ctx:E}}}),mo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForImageClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1465"}}),co=new he({}),uo=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L750"}}),fo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L841"}}),ut=new Qe({props:{$$slots:{default:[Yd]},$$scope:{ctx:E}}}),ht=new z({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[Kd]},$$scope:{ctx:E}}}),ft=new z({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[Zd]},$$scope:{ctx:E}}}),go=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"output_name",val:": str"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L762"}}),_o=new he({}),$o=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1155"}}),vo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1178"}}),$t=new Qe({props:{$$slots:{default:[ec]},$$scope:{ctx:E}}}),vt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[tc]},$$scope:{ctx:E}}}),kt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[oc]},$$scope:{ctx:E}}}),ko=new he({}),xo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L949"}}),To=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1031"}}),wt=new Qe({props:{$$slots:{default:[nc]},$$scope:{ctx:E}}}),Tt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[sc]},$$scope:{ctx:E}}}),bt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[rc]},$$scope:{ctx:E}}}),Ot=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[ac]},$$scope:{ctx:E}}}),bo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L962"}}),Oo=new he({}),Mo=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_io_binding",val:": bool = True"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1263"}}),yo=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_seq2seq.py#L1296"}}),qt=new Qe({props:{$$slots:{default:[ic]},$$scope:{ctx:E}}}),Et=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[lc]},$$scope:{ctx:E}}}),jt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[pc]},$$scope:{ctx:E}}}),qo=new he({}),Eo=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:" = None"},{name:"config",val:" = None"},{name:"use_io_binding",val:" = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/main/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>bool</code>, <em>optional</em>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1119"}}),Ro=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1201"}}),Ft=new Qe({props:{$$slots:{default:[mc]},$$scope:{ctx:E}}}),Ct=new z({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[dc]},$$scope:{ctx:E}}}),zt=new z({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[cc]},$$scope:{ctx:E}}}),Fo=new R({props:{name:"prepare_logits_buffer",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.prepare_logits_buffer",parameters:[{name:"batch_size",val:""},{name:"sequence_length",val:""},{name:"num_labels",val:""}],source:"https://github.com/huggingface/optimum/blob/main/optimum/onnxruntime/modeling_ort.py#L1131"}}),{c(){n=a("meta"),_=h(),c=a("h1"),u=a("a"),g=a("span"),w(s.$$.fragment),r=h(),x=a("span"),d=p("Models"),$=h(),j=a("h2"),Ue=a("a"),Yo=a("span"),w(Pt.$$.fragment),Ar=h(),Ko=a("span"),Nr=p("ORTModel"),Hs=h(),F=a("div"),w(At.$$.fragment),Ir=h(),Zo=a("p"),Dr=p("Base class for implementing models using ONNX Runtime."),Lr=h(),Nt=a("p"),Xr=p(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),en=a("code"),Qr=p("optimum.exporters.onnx"),Ur=p(" toolchain."),Wr=h(),tn=a("p"),Hr=p("Class attributes:"),Vr=h(),It=a("ul"),ie=a("li"),Br=p("model_type ("),on=a("code"),Gr=p("str"),Jr=p(", "),nn=a("em"),Yr=p("optional"),Kr=p(", defaults to "),sn=a("code"),Zr=p('"onnx_model"'),ea=p(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),ta=h(),le=a("li"),oa=p("auto_model_class ("),rn=a("code"),na=p("Type"),sa=p(", "),an=a("em"),ra=p("optional"),aa=p(", defaults to "),ln=a("code"),ia=p("AutoModel"),la=p(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),pa=h(),pn=a("p"),ma=p("Common attributes:"),da=h(),K=a("ul"),Dt=a("li"),ca=p("model ("),mn=a("code"),ua=p("ort.InferenceSession"),ha=p(") \u2014 The ONNX Runtime InferenceSession that is running the model."),fa=h(),Lt=a("li"),ga=p("config ("),Xt=a("a"),_a=p("PretrainedConfig"),$a=p(" \u2014 The configuration of the model."),va=h(),Z=a("li"),ka=p("use_io_binding ("),dn=a("code"),xa=p("bool"),wa=p(", "),cn=a("em"),Ta=p("optional"),ba=p(", defaults to "),un=a("code"),Oa=p("True"),Ma=p(") \u2014 Whether to use I/O bindings with "),hn=a("strong"),ya=p(`ONNX Runtime
with the CUDAExecutionProvider`),qa=p(", this can significantly speedup inference depending on the task."),Ea=h(),Qt=a("li"),ja=p("model_save_dir ("),fn=a("code"),Ra=p("Path"),Fa=p(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),Ca=h(),gn=a("li"),za=p("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),Sa=h(),We=a("div"),w(Ut.$$.fragment),Pa=h(),_n=a("p"),Aa=p("Instantiate a pretrained model from a pre-trained model configuration."),Na=h(),He=a("div"),w(Wt.$$.fragment),Ia=h(),Ht=a("p"),Da=p("Loads an ONNX Inference session with a given provider. Default provider is "),$n=a("code"),La=p("CPUExecutionProvider"),Xa=p(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),Qa=h(),Ve=a("div"),w(Vt.$$.fragment),Ua=h(),vn=a("p"),Wa=p("Changes the ONNX Runtime provider according to the device."),Vs=h(),Oe=a("h2"),Be=a("a"),kn=a("span"),w(Bt.$$.fragment),Ha=h(),xn=a("span"),Va=p("ORTModelForCausalLM"),Bs=h(),pe=a("div"),w(Gt.$$.fragment),Ba=h(),wn=a("p"),Ga=p("ONNX model with a causal language modeling head for ONNX Runtime inference."),Ja=h(),U=a("div"),w(Jt.$$.fragment),Ya=h(),Me=a("p"),Ka=p("The "),Tn=a("code"),Za=p("ORTModelForCausalLM"),ei=p(" forward method, overrides the "),bn=a("code"),ti=p("__call__"),oi=p(" special method."),ni=h(),w(Ge.$$.fragment),si=h(),w(Je.$$.fragment),ri=h(),w(Ye.$$.fragment),Gs=h(),ye=a("h2"),Ke=a("a"),On=a("span"),w(Yt.$$.fragment),ai=h(),Mn=a("span"),ii=p("ORTModelForCustomTasks"),Js=h(),Q=a("div"),w(Kt.$$.fragment),li=h(),yn=a("p"),pi=p("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),mi=h(),Zt=a("p"),di=p("This model inherits from [~"),qn=a("code"),ci=p("onnxruntime.modeling_ort.ORTModel"),ui=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),hi=h(),En=a("p"),fi=p("Model for any custom tasks if the ONNX model is stored in a single file."),gi=h(),W=a("div"),w(eo.$$.fragment),_i=h(),qe=a("p"),$i=p("The "),jn=a("code"),vi=p("ORTModelForCustomTasks"),ki=p(" forward method, overrides the "),Rn=a("code"),xi=p("__call__"),wi=p(" special method."),Ti=h(),w(Ze.$$.fragment),bi=h(),w(et.$$.fragment),Oi=h(),w(tt.$$.fragment),Ys=h(),Ee=a("h2"),ot=a("a"),Fn=a("span"),w(to.$$.fragment),Mi=h(),Cn=a("span"),yi=p("ORTModelForFeatureExtraction"),Ks=h(),A=a("div"),w(oo.$$.fragment),qi=h(),zn=a("p"),Ei=p("Onnx Model with a MaskedLMOutput for feature-extraction tasks."),ji=h(),no=a("p"),Ri=p("This model inherits from [~"),Sn=a("code"),Fi=p("onnxruntime.modeling_ort.ORTModel"),Ci=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),zi=h(),Pn=a("p"),Si=p("Feature Extraction model for ONNX."),Pi=h(),H=a("div"),w(so.$$.fragment),Ai=h(),je=a("p"),Ni=p("The "),An=a("code"),Ii=p("ORTModelForFeatureExtraction"),Di=p(" forward method, overrides the "),Nn=a("code"),Li=p("__call__"),Xi=p(" special method."),Qi=h(),w(nt.$$.fragment),Ui=h(),w(st.$$.fragment),Wi=h(),w(rt.$$.fragment),Hi=h(),at=a("div"),w(ro.$$.fragment),Vi=h(),In=a("p"),Bi=p("Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),Zs=h(),Re=a("h2"),it=a("a"),Dn=a("span"),w(ao.$$.fragment),Gi=h(),Ln=a("span"),Ji=p("ORTModelForImageClassification"),er=h(),N=a("div"),w(io.$$.fragment),Yi=h(),Xn=a("p"),Ki=p("Onnx Model for image-classification tasks."),Zi=h(),lo=a("p"),el=p("This model inherits from [~"),Qn=a("code"),tl=p("onnxruntime.modeling_ort.ORTModel"),ol=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),nl=h(),Un=a("p"),sl=p("Image Classification model for ONNX."),rl=h(),V=a("div"),w(po.$$.fragment),al=h(),Fe=a("p"),il=p("The "),Wn=a("code"),ll=p("ORTModelForImageClassification"),pl=p(" forward method, overrides the "),Hn=a("code"),ml=p("__call__"),dl=p(" special method."),cl=h(),w(lt.$$.fragment),ul=h(),w(pt.$$.fragment),hl=h(),w(mt.$$.fragment),fl=h(),dt=a("div"),w(mo.$$.fragment),gl=h(),Vn=a("p"),_l=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),tr=h(),Ce=a("h2"),ct=a("a"),Bn=a("span"),w(co.$$.fragment),$l=h(),Gn=a("span"),vl=p("ORTModelForQuestionAnswering"),or=h(),I=a("div"),w(uo.$$.fragment),kl=h(),Jn=a("p"),xl=p("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),wl=h(),ho=a("p"),Tl=p("This model inherits from [~"),Yn=a("code"),bl=p("onnxruntime.modeling_ort.ORTModel"),Ol=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Ml=h(),Kn=a("p"),yl=p("Question Answering model for ONNX."),ql=h(),B=a("div"),w(fo.$$.fragment),El=h(),ze=a("p"),jl=p("The "),Zn=a("code"),Rl=p("ORTModelForQuestionAnswering"),Fl=p(" forward method, overrides the "),es=a("code"),Cl=p("__call__"),zl=p(" special method."),Sl=h(),w(ut.$$.fragment),Pl=h(),w(ht.$$.fragment),Al=h(),w(ft.$$.fragment),Nl=h(),gt=a("div"),w(go.$$.fragment),Il=h(),ts=a("p"),Dl=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),nr=h(),Se=a("h2"),_t=a("a"),os=a("span"),w(_o.$$.fragment),Ll=h(),ns=a("span"),Xl=p("ORTModelForSeq2SeqLM"),sr=h(),me=a("div"),w($o.$$.fragment),Ql=h(),ss=a("p"),Ul=p("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Wl=h(),G=a("div"),w(vo.$$.fragment),Hl=h(),Pe=a("p"),Vl=p("The "),rs=a("code"),Bl=p("ORTModelForSeq2SeqLM"),Gl=p(" forward method, overrides the "),as=a("code"),Jl=p("__call__"),Yl=p(" special method."),Kl=h(),w($t.$$.fragment),Zl=h(),w(vt.$$.fragment),ep=h(),w(kt.$$.fragment),rr=h(),Ae=a("h2"),xt=a("a"),is=a("span"),w(ko.$$.fragment),tp=h(),ls=a("span"),op=p("ORTModelForSequenceClassification"),ar=h(),D=a("div"),w(xo.$$.fragment),np=h(),ps=a("p"),sp=p(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),rp=h(),wo=a("p"),ap=p("This model inherits from [~"),ms=a("code"),ip=p("onnxruntime.modeling_ort.ORTModel"),lp=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),pp=h(),ds=a("p"),mp=p("Sequence Classification model for ONNX."),dp=h(),X=a("div"),w(To.$$.fragment),cp=h(),Ne=a("p"),up=p("The "),cs=a("code"),hp=p("ORTModelForSequenceClassification"),fp=p(" forward method, overrides the "),us=a("code"),gp=p("__call__"),_p=p(" special method."),$p=h(),w(wt.$$.fragment),vp=h(),w(Tt.$$.fragment),kp=h(),w(bt.$$.fragment),xp=h(),w(Ot.$$.fragment),wp=h(),Mt=a("div"),w(bo.$$.fragment),Tp=h(),hs=a("p"),bp=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),ir=h(),Ie=a("h2"),yt=a("a"),fs=a("span"),w(Oo.$$.fragment),Op=h(),gs=a("span"),Mp=p("ORTModelForSpeechSeq2Seq"),lr=h(),de=a("div"),w(Mo.$$.fragment),yp=h(),_s=a("p"),qp=p("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Ep=h(),J=a("div"),w(yo.$$.fragment),jp=h(),De=a("p"),Rp=p("The "),$s=a("code"),Fp=p("ORTModelForSpeechSeq2Seq"),Cp=p(" forward method, overrides the "),vs=a("code"),zp=p("__call__"),Sp=p(" special method."),Pp=h(),w(qt.$$.fragment),Ap=h(),w(Et.$$.fragment),Np=h(),w(jt.$$.fragment),pr=h(),Le=a("h2"),Rt=a("a"),ks=a("span"),w(qo.$$.fragment),Ip=h(),xs=a("span"),Dp=p("ORTModelForTokenClassification"),mr=h(),L=a("div"),w(Eo.$$.fragment),Lp=h(),ws=a("p"),Xp=p(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Qp=h(),jo=a("p"),Up=p("This model inherits from [~"),Ts=a("code"),Wp=p("onnxruntime.modeling_ort.ORTModel"),Hp=p(`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Vp=h(),bs=a("p"),Bp=p("Token Classification model for ONNX."),Gp=h(),Y=a("div"),w(Ro.$$.fragment),Jp=h(),Xe=a("p"),Yp=p("The "),Os=a("code"),Kp=p("ORTModelForTokenClassification"),Zp=p(" forward method, overrides the "),Ms=a("code"),em=p("__call__"),tm=p(" special method."),om=h(),w(Ft.$$.fragment),nm=h(),w(Ct.$$.fragment),sm=h(),w(zt.$$.fragment),rm=h(),St=a("div"),w(Fo.$$.fragment),am=h(),ys=a("p"),im=p("Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),this.h()},l(o){const v=Ad('[data-svelte="svelte-1phssyn"]',document.head);n=i(v,"META",{name:!0,content:!0}),v.forEach(t),_=f(o),c=i(o,"H1",{class:!0});var Co=l(c);u=i(Co,"A",{id:!0,class:!0,href:!0});var qs=l(u);g=i(qs,"SPAN",{});var Es=l(g);T(s.$$.fragment,Es),Es.forEach(t),qs.forEach(t),r=f(Co),x=i(Co,"SPAN",{});var js=l(x);d=m(js,"Models"),js.forEach(t),Co.forEach(t),$=f(o),j=i(o,"H2",{class:!0});var zo=l(j);Ue=i(zo,"A",{id:!0,class:!0,href:!0});var Rs=l(Ue);Yo=i(Rs,"SPAN",{});var Fs=l(Yo);T(Pt.$$.fragment,Fs),Fs.forEach(t),Rs.forEach(t),Ar=f(zo),Ko=i(zo,"SPAN",{});var Cs=l(Ko);Nr=m(Cs,"ORTModel"),Cs.forEach(t),zo.forEach(t),Hs=f(o),F=i(o,"DIV",{class:!0});var C=l(F);T(At.$$.fragment,C),Ir=f(C),Zo=i(C,"P",{});var zs=l(Zo);Dr=m(zs,"Base class for implementing models using ONNX Runtime."),zs.forEach(t),Lr=f(C),Nt=i(C,"P",{});var So=l(Nt);Xr=m(So,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),en=i(So,"CODE",{});var Ss=l(en);Qr=m(Ss,"optimum.exporters.onnx"),Ss.forEach(t),Ur=m(So," toolchain."),So.forEach(t),Wr=f(C),tn=i(C,"P",{});var Ps=l(tn);Hr=m(Ps,"Class attributes:"),Ps.forEach(t),Vr=f(C),It=i(C,"UL",{});var Po=l(It);ie=i(Po,"LI",{});var ce=l(ie);Br=m(ce,"model_type ("),on=i(ce,"CODE",{});var As=l(on);Gr=m(As,"str"),As.forEach(t),Jr=m(ce,", "),nn=i(ce,"EM",{});var Ns=l(nn);Yr=m(Ns,"optional"),Ns.forEach(t),Kr=m(ce,", defaults to "),sn=i(ce,"CODE",{});var Is=l(sn);Zr=m(Is,'"onnx_model"'),Is.forEach(t),ea=m(ce,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),ce.forEach(t),ta=f(Po),le=i(Po,"LI",{});var ue=l(le);oa=m(ue,"auto_model_class ("),rn=i(ue,"CODE",{});var Ds=l(rn);na=m(Ds,"Type"),Ds.forEach(t),sa=m(ue,", "),an=i(ue,"EM",{});var Ls=l(an);ra=m(Ls,"optional"),Ls.forEach(t),aa=m(ue,", defaults to "),ln=i(ue,"CODE",{});var Xs=l(ln);ia=m(Xs,"AutoModel"),Xs.forEach(t),la=m(ue,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),ue.forEach(t),Po.forEach(t),pa=f(C),pn=i(C,"P",{});var Qs=l(pn);ma=m(Qs,"Common attributes:"),Qs.forEach(t),da=f(C),K=i(C,"UL",{});var ee=l(K);Dt=i(ee,"LI",{});var Ao=l(Dt);ca=m(Ao,"model ("),mn=i(Ao,"CODE",{});var Us=l(mn);ua=m(Us,"ort.InferenceSession"),Us.forEach(t),ha=m(Ao,") \u2014 The ONNX Runtime InferenceSession that is running the model."),Ao.forEach(t),fa=f(ee),Lt=i(ee,"LI",{});var No=l(Lt);ga=m(No,"config ("),Xt=i(No,"A",{href:!0,rel:!0});var Ws=l(Xt);_a=m(Ws,"PretrainedConfig"),Ws.forEach(t),$a=m(No," \u2014 The configuration of the model."),No.forEach(t),va=f(ee),Z=i(ee,"LI",{});var fe=l(Z);ka=m(fe,"use_io_binding ("),dn=i(fe,"CODE",{});var lm=l(dn);xa=m(lm,"bool"),lm.forEach(t),wa=m(fe,", "),cn=i(fe,"EM",{});var pm=l(cn);Ta=m(pm,"optional"),pm.forEach(t),ba=m(fe,", defaults to "),un=i(fe,"CODE",{});var mm=l(un);Oa=m(mm,"True"),mm.forEach(t),Ma=m(fe,") \u2014 Whether to use I/O bindings with "),hn=i(fe,"STRONG",{});var dm=l(hn);ya=m(dm,`ONNX Runtime
with the CUDAExecutionProvider`),dm.forEach(t),qa=m(fe,", this can significantly speedup inference depending on the task."),fe.forEach(t),Ea=f(ee),Qt=i(ee,"LI",{});var cr=l(Qt);ja=m(cr,"model_save_dir ("),fn=i(cr,"CODE",{});var cm=l(fn);Ra=m(cm,"Path"),cm.forEach(t),Fa=m(cr,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),cr.forEach(t),Ca=f(ee),gn=i(ee,"LI",{});var um=l(gn);za=m(um,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),um.forEach(t),ee.forEach(t),Sa=f(C),We=i(C,"DIV",{class:!0});var ur=l(We);T(Ut.$$.fragment,ur),Pa=f(ur),_n=i(ur,"P",{});var hm=l(_n);Aa=m(hm,"Instantiate a pretrained model from a pre-trained model configuration."),hm.forEach(t),ur.forEach(t),Na=f(C),He=i(C,"DIV",{class:!0});var hr=l(He);T(Wt.$$.fragment,hr),Ia=f(hr),Ht=i(hr,"P",{});var fr=l(Ht);Da=m(fr,"Loads an ONNX Inference session with a given provider. Default provider is "),$n=i(fr,"CODE",{});var fm=l($n);La=m(fm,"CPUExecutionProvider"),fm.forEach(t),Xa=m(fr,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),fr.forEach(t),hr.forEach(t),Qa=f(C),Ve=i(C,"DIV",{class:!0});var gr=l(Ve);T(Vt.$$.fragment,gr),Ua=f(gr),vn=i(gr,"P",{});var gm=l(vn);Wa=m(gm,"Changes the ONNX Runtime provider according to the device."),gm.forEach(t),gr.forEach(t),C.forEach(t),Vs=f(o),Oe=i(o,"H2",{class:!0});var _r=l(Oe);Be=i(_r,"A",{id:!0,class:!0,href:!0});var _m=l(Be);kn=i(_m,"SPAN",{});var $m=l(kn);T(Bt.$$.fragment,$m),$m.forEach(t),_m.forEach(t),Ha=f(_r),xn=i(_r,"SPAN",{});var vm=l(xn);Va=m(vm,"ORTModelForCausalLM"),vm.forEach(t),_r.forEach(t),Bs=f(o),pe=i(o,"DIV",{class:!0});var Io=l(pe);T(Gt.$$.fragment,Io),Ba=f(Io),wn=i(Io,"P",{});var km=l(wn);Ga=m(km,"ONNX model with a causal language modeling head for ONNX Runtime inference."),km.forEach(t),Ja=f(Io),U=i(Io,"DIV",{class:!0});var ge=l(U);T(Jt.$$.fragment,ge),Ya=f(ge),Me=i(ge,"P",{});var Do=l(Me);Ka=m(Do,"The "),Tn=i(Do,"CODE",{});var xm=l(Tn);Za=m(xm,"ORTModelForCausalLM"),xm.forEach(t),ei=m(Do," forward method, overrides the "),bn=i(Do,"CODE",{});var wm=l(bn);ti=m(wm,"__call__"),wm.forEach(t),oi=m(Do," special method."),Do.forEach(t),ni=f(ge),T(Ge.$$.fragment,ge),si=f(ge),T(Je.$$.fragment,ge),ri=f(ge),T(Ye.$$.fragment,ge),ge.forEach(t),Io.forEach(t),Gs=f(o),ye=i(o,"H2",{class:!0});var $r=l(ye);Ke=i($r,"A",{id:!0,class:!0,href:!0});var Tm=l(Ke);On=i(Tm,"SPAN",{});var bm=l(On);T(Yt.$$.fragment,bm),bm.forEach(t),Tm.forEach(t),ai=f($r),Mn=i($r,"SPAN",{});var Om=l(Mn);ii=m(Om,"ORTModelForCustomTasks"),Om.forEach(t),$r.forEach(t),Js=f(o),Q=i(o,"DIV",{class:!0});var _e=l(Q);T(Kt.$$.fragment,_e),li=f(_e),yn=i(_e,"P",{});var Mm=l(yn);pi=m(Mm,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),Mm.forEach(t),mi=f(_e),Zt=i(_e,"P",{});var vr=l(Zt);di=m(vr,"This model inherits from [~"),qn=i(vr,"CODE",{});var ym=l(qn);ci=m(ym,"onnxruntime.modeling_ort.ORTModel"),ym.forEach(t),ui=m(vr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),vr.forEach(t),hi=f(_e),En=i(_e,"P",{});var qm=l(En);fi=m(qm,"Model for any custom tasks if the ONNX model is stored in a single file."),qm.forEach(t),gi=f(_e),W=i(_e,"DIV",{class:!0});var $e=l(W);T(eo.$$.fragment,$e),_i=f($e),qe=i($e,"P",{});var Lo=l(qe);$i=m(Lo,"The "),jn=i(Lo,"CODE",{});var Em=l(jn);vi=m(Em,"ORTModelForCustomTasks"),Em.forEach(t),ki=m(Lo," forward method, overrides the "),Rn=i(Lo,"CODE",{});var jm=l(Rn);xi=m(jm,"__call__"),jm.forEach(t),wi=m(Lo," special method."),Lo.forEach(t),Ti=f($e),T(Ze.$$.fragment,$e),bi=f($e),T(et.$$.fragment,$e),Oi=f($e),T(tt.$$.fragment,$e),$e.forEach(t),_e.forEach(t),Ys=f(o),Ee=i(o,"H2",{class:!0});var kr=l(Ee);ot=i(kr,"A",{id:!0,class:!0,href:!0});var Rm=l(ot);Fn=i(Rm,"SPAN",{});var Fm=l(Fn);T(to.$$.fragment,Fm),Fm.forEach(t),Rm.forEach(t),Mi=f(kr),Cn=i(kr,"SPAN",{});var Cm=l(Cn);yi=m(Cm,"ORTModelForFeatureExtraction"),Cm.forEach(t),kr.forEach(t),Ks=f(o),A=i(o,"DIV",{class:!0});var te=l(A);T(oo.$$.fragment,te),qi=f(te),zn=i(te,"P",{});var zm=l(zn);Ei=m(zm,"Onnx Model with a MaskedLMOutput for feature-extraction tasks."),zm.forEach(t),ji=f(te),no=i(te,"P",{});var xr=l(no);Ri=m(xr,"This model inherits from [~"),Sn=i(xr,"CODE",{});var Sm=l(Sn);Fi=m(Sm,"onnxruntime.modeling_ort.ORTModel"),Sm.forEach(t),Ci=m(xr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),xr.forEach(t),zi=f(te),Pn=i(te,"P",{});var Pm=l(Pn);Si=m(Pm,"Feature Extraction model for ONNX."),Pm.forEach(t),Pi=f(te),H=i(te,"DIV",{class:!0});var ve=l(H);T(so.$$.fragment,ve),Ai=f(ve),je=i(ve,"P",{});var Xo=l(je);Ni=m(Xo,"The "),An=i(Xo,"CODE",{});var Am=l(An);Ii=m(Am,"ORTModelForFeatureExtraction"),Am.forEach(t),Di=m(Xo," forward method, overrides the "),Nn=i(Xo,"CODE",{});var Nm=l(Nn);Li=m(Nm,"__call__"),Nm.forEach(t),Xi=m(Xo," special method."),Xo.forEach(t),Qi=f(ve),T(nt.$$.fragment,ve),Ui=f(ve),T(st.$$.fragment,ve),Wi=f(ve),T(rt.$$.fragment,ve),ve.forEach(t),Hi=f(te),at=i(te,"DIV",{class:!0});var wr=l(at);T(ro.$$.fragment,wr),Vi=f(wr),In=i(wr,"P",{});var Im=l(In);Bi=m(Im,"Prepares the buffer of output_name with a 1D tensor on shape: (batch_size, sequence_length, hidden_size)."),Im.forEach(t),wr.forEach(t),te.forEach(t),Zs=f(o),Re=i(o,"H2",{class:!0});var Tr=l(Re);it=i(Tr,"A",{id:!0,class:!0,href:!0});var Dm=l(it);Dn=i(Dm,"SPAN",{});var Lm=l(Dn);T(ao.$$.fragment,Lm),Lm.forEach(t),Dm.forEach(t),Gi=f(Tr),Ln=i(Tr,"SPAN",{});var Xm=l(Ln);Ji=m(Xm,"ORTModelForImageClassification"),Xm.forEach(t),Tr.forEach(t),er=f(o),N=i(o,"DIV",{class:!0});var oe=l(N);T(io.$$.fragment,oe),Yi=f(oe),Xn=i(oe,"P",{});var Qm=l(Xn);Ki=m(Qm,"Onnx Model for image-classification tasks."),Qm.forEach(t),Zi=f(oe),lo=i(oe,"P",{});var br=l(lo);el=m(br,"This model inherits from [~"),Qn=i(br,"CODE",{});var Um=l(Qn);tl=m(Um,"onnxruntime.modeling_ort.ORTModel"),Um.forEach(t),ol=m(br,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),br.forEach(t),nl=f(oe),Un=i(oe,"P",{});var Wm=l(Un);sl=m(Wm,"Image Classification model for ONNX."),Wm.forEach(t),rl=f(oe),V=i(oe,"DIV",{class:!0});var ke=l(V);T(po.$$.fragment,ke),al=f(ke),Fe=i(ke,"P",{});var Qo=l(Fe);il=m(Qo,"The "),Wn=i(Qo,"CODE",{});var Hm=l(Wn);ll=m(Hm,"ORTModelForImageClassification"),Hm.forEach(t),pl=m(Qo," forward method, overrides the "),Hn=i(Qo,"CODE",{});var Vm=l(Hn);ml=m(Vm,"__call__"),Vm.forEach(t),dl=m(Qo," special method."),Qo.forEach(t),cl=f(ke),T(lt.$$.fragment,ke),ul=f(ke),T(pt.$$.fragment,ke),hl=f(ke),T(mt.$$.fragment,ke),ke.forEach(t),fl=f(oe),dt=i(oe,"DIV",{class:!0});var Or=l(dt);T(mo.$$.fragment,Or),gl=f(Or),Vn=i(Or,"P",{});var Bm=l(Vn);_l=m(Bm,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),Bm.forEach(t),Or.forEach(t),oe.forEach(t),tr=f(o),Ce=i(o,"H2",{class:!0});var Mr=l(Ce);ct=i(Mr,"A",{id:!0,class:!0,href:!0});var Gm=l(ct);Bn=i(Gm,"SPAN",{});var Jm=l(Bn);T(co.$$.fragment,Jm),Jm.forEach(t),Gm.forEach(t),$l=f(Mr),Gn=i(Mr,"SPAN",{});var Ym=l(Gn);vl=m(Ym,"ORTModelForQuestionAnswering"),Ym.forEach(t),Mr.forEach(t),or=f(o),I=i(o,"DIV",{class:!0});var ne=l(I);T(uo.$$.fragment,ne),kl=f(ne),Jn=i(ne,"P",{});var Km=l(Jn);xl=m(Km,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Km.forEach(t),wl=f(ne),ho=i(ne,"P",{});var yr=l(ho);Tl=m(yr,"This model inherits from [~"),Yn=i(yr,"CODE",{});var Zm=l(Yn);bl=m(Zm,"onnxruntime.modeling_ort.ORTModel"),Zm.forEach(t),Ol=m(yr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),yr.forEach(t),Ml=f(ne),Kn=i(ne,"P",{});var ed=l(Kn);yl=m(ed,"Question Answering model for ONNX."),ed.forEach(t),ql=f(ne),B=i(ne,"DIV",{class:!0});var xe=l(B);T(fo.$$.fragment,xe),El=f(xe),ze=i(xe,"P",{});var Uo=l(ze);jl=m(Uo,"The "),Zn=i(Uo,"CODE",{});var td=l(Zn);Rl=m(td,"ORTModelForQuestionAnswering"),td.forEach(t),Fl=m(Uo," forward method, overrides the "),es=i(Uo,"CODE",{});var od=l(es);Cl=m(od,"__call__"),od.forEach(t),zl=m(Uo," special method."),Uo.forEach(t),Sl=f(xe),T(ut.$$.fragment,xe),Pl=f(xe),T(ht.$$.fragment,xe),Al=f(xe),T(ft.$$.fragment,xe),xe.forEach(t),Nl=f(ne),gt=i(ne,"DIV",{class:!0});var qr=l(gt);T(go.$$.fragment,qr),Il=f(qr),ts=i(qr,"P",{});var nd=l(ts);Dl=m(nd,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length)."),nd.forEach(t),qr.forEach(t),ne.forEach(t),nr=f(o),Se=i(o,"H2",{class:!0});var Er=l(Se);_t=i(Er,"A",{id:!0,class:!0,href:!0});var sd=l(_t);os=i(sd,"SPAN",{});var rd=l(os);T(_o.$$.fragment,rd),rd.forEach(t),sd.forEach(t),Ll=f(Er),ns=i(Er,"SPAN",{});var ad=l(ns);Xl=m(ad,"ORTModelForSeq2SeqLM"),ad.forEach(t),Er.forEach(t),sr=f(o),me=i(o,"DIV",{class:!0});var Wo=l(me);T($o.$$.fragment,Wo),Ql=f(Wo),ss=i(Wo,"P",{});var id=l(ss);Ul=m(id,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),id.forEach(t),Wl=f(Wo),G=i(Wo,"DIV",{class:!0});var we=l(G);T(vo.$$.fragment,we),Hl=f(we),Pe=i(we,"P",{});var Ho=l(Pe);Vl=m(Ho,"The "),rs=i(Ho,"CODE",{});var ld=l(rs);Bl=m(ld,"ORTModelForSeq2SeqLM"),ld.forEach(t),Gl=m(Ho," forward method, overrides the "),as=i(Ho,"CODE",{});var pd=l(as);Jl=m(pd,"__call__"),pd.forEach(t),Yl=m(Ho," special method."),Ho.forEach(t),Kl=f(we),T($t.$$.fragment,we),Zl=f(we),T(vt.$$.fragment,we),ep=f(we),T(kt.$$.fragment,we),we.forEach(t),Wo.forEach(t),rr=f(o),Ae=i(o,"H2",{class:!0});var jr=l(Ae);xt=i(jr,"A",{id:!0,class:!0,href:!0});var md=l(xt);is=i(md,"SPAN",{});var dd=l(is);T(ko.$$.fragment,dd),dd.forEach(t),md.forEach(t),tp=f(jr),ls=i(jr,"SPAN",{});var cd=l(ls);op=m(cd,"ORTModelForSequenceClassification"),cd.forEach(t),jr.forEach(t),ar=f(o),D=i(o,"DIV",{class:!0});var se=l(D);T(xo.$$.fragment,se),np=f(se),ps=i(se,"P",{});var ud=l(ps);sp=m(ud,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),ud.forEach(t),rp=f(se),wo=i(se,"P",{});var Rr=l(wo);ap=m(Rr,"This model inherits from [~"),ms=i(Rr,"CODE",{});var hd=l(ms);ip=m(hd,"onnxruntime.modeling_ort.ORTModel"),hd.forEach(t),lp=m(Rr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Rr.forEach(t),pp=f(se),ds=i(se,"P",{});var fd=l(ds);mp=m(fd,"Sequence Classification model for ONNX."),fd.forEach(t),dp=f(se),X=i(se,"DIV",{class:!0});var re=l(X);T(To.$$.fragment,re),cp=f(re),Ne=i(re,"P",{});var Vo=l(Ne);up=m(Vo,"The "),cs=i(Vo,"CODE",{});var gd=l(cs);hp=m(gd,"ORTModelForSequenceClassification"),gd.forEach(t),fp=m(Vo," forward method, overrides the "),us=i(Vo,"CODE",{});var _d=l(us);gp=m(_d,"__call__"),_d.forEach(t),_p=m(Vo," special method."),Vo.forEach(t),$p=f(re),T(wt.$$.fragment,re),vp=f(re),T(Tt.$$.fragment,re),kp=f(re),T(bt.$$.fragment,re),xp=f(re),T(Ot.$$.fragment,re),re.forEach(t),wp=f(se),Mt=i(se,"DIV",{class:!0});var Fr=l(Mt);T(bo.$$.fragment,Fr),Tp=f(Fr),hs=i(Fr,"P",{});var $d=l(hs);bp=m($d,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, config.num_labels)."),$d.forEach(t),Fr.forEach(t),se.forEach(t),ir=f(o),Ie=i(o,"H2",{class:!0});var Cr=l(Ie);yt=i(Cr,"A",{id:!0,class:!0,href:!0});var vd=l(yt);fs=i(vd,"SPAN",{});var kd=l(fs);T(Oo.$$.fragment,kd),kd.forEach(t),vd.forEach(t),Op=f(Cr),gs=i(Cr,"SPAN",{});var xd=l(gs);Mp=m(xd,"ORTModelForSpeechSeq2Seq"),xd.forEach(t),Cr.forEach(t),lr=f(o),de=i(o,"DIV",{class:!0});var Bo=l(de);T(Mo.$$.fragment,Bo),yp=f(Bo),_s=i(Bo,"P",{});var wd=l(_s);qp=m(wd,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),wd.forEach(t),Ep=f(Bo),J=i(Bo,"DIV",{class:!0});var Te=l(J);T(yo.$$.fragment,Te),jp=f(Te),De=i(Te,"P",{});var Go=l(De);Rp=m(Go,"The "),$s=i(Go,"CODE",{});var Td=l($s);Fp=m(Td,"ORTModelForSpeechSeq2Seq"),Td.forEach(t),Cp=m(Go," forward method, overrides the "),vs=i(Go,"CODE",{});var bd=l(vs);zp=m(bd,"__call__"),bd.forEach(t),Sp=m(Go," special method."),Go.forEach(t),Pp=f(Te),T(qt.$$.fragment,Te),Ap=f(Te),T(Et.$$.fragment,Te),Np=f(Te),T(jt.$$.fragment,Te),Te.forEach(t),Bo.forEach(t),pr=f(o),Le=i(o,"H2",{class:!0});var zr=l(Le);Rt=i(zr,"A",{id:!0,class:!0,href:!0});var Od=l(Rt);ks=i(Od,"SPAN",{});var Md=l(ks);T(qo.$$.fragment,Md),Md.forEach(t),Od.forEach(t),Ip=f(zr),xs=i(zr,"SPAN",{});var yd=l(xs);Dp=m(yd,"ORTModelForTokenClassification"),yd.forEach(t),zr.forEach(t),mr=f(o),L=i(o,"DIV",{class:!0});var ae=l(L);T(Eo.$$.fragment,ae),Lp=f(ae),ws=i(ae,"P",{});var qd=l(ws);Xp=m(qd,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),qd.forEach(t),Qp=f(ae),jo=i(ae,"P",{});var Sr=l(jo);Up=m(Sr,"This model inherits from [~"),Ts=i(Sr,"CODE",{});var Ed=l(Ts);Wp=m(Ed,"onnxruntime.modeling_ort.ORTModel"),Ed.forEach(t),Hp=m(Sr,`]. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Sr.forEach(t),Vp=f(ae),bs=i(ae,"P",{});var jd=l(bs);Bp=m(jd,"Token Classification model for ONNX."),jd.forEach(t),Gp=f(ae),Y=i(ae,"DIV",{class:!0});var be=l(Y);T(Ro.$$.fragment,be),Jp=f(be),Xe=i(be,"P",{});var Jo=l(Xe);Yp=m(Jo,"The "),Os=i(Jo,"CODE",{});var Rd=l(Os);Kp=m(Rd,"ORTModelForTokenClassification"),Rd.forEach(t),Zp=m(Jo," forward method, overrides the "),Ms=i(Jo,"CODE",{});var Fd=l(Ms);em=m(Fd,"__call__"),Fd.forEach(t),tm=m(Jo," special method."),Jo.forEach(t),om=f(be),T(Ft.$$.fragment,be),nm=f(be),T(Ct.$$.fragment,be),sm=f(be),T(zt.$$.fragment,be),be.forEach(t),rm=f(ae),St=i(ae,"DIV",{class:!0});var Pr=l(St);T(Fo.$$.fragment,Pr),am=f(Pr),ys=i(Pr,"P",{});var Cd=l(ys);im=m(Cd,"Prepares the buffer of logits with a 1D tensor on shape: (batch_size, sequence_length, config.num_labels)."),Cd.forEach(t),Pr.forEach(t),ae.forEach(t),this.h()},h(){q(n,"name","hf:doc:metadata"),q(n,"content",JSON.stringify(hc)),q(u,"id","models"),q(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(u,"href","#models"),q(c,"class","relative group"),q(Ue,"id","optimum.onnxruntime.ORTModel"),q(Ue,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ue,"href","#optimum.onnxruntime.ORTModel"),q(j,"class","relative group"),q(Xt,"href","https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),q(Xt,"rel","nofollow"),q(We,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(He,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Be,"id","optimum.onnxruntime.ORTModelForCausalLM"),q(Be,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Be,"href","#optimum.onnxruntime.ORTModelForCausalLM"),q(Oe,"class","relative group"),q(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Ke,"id","optimum.onnxruntime.ORTModelForCustomTasks"),q(Ke,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Ke,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),q(ye,"class","relative group"),q(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ot,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),q(ot,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ot,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),q(Ee,"class","relative group"),q(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(it,"id","optimum.onnxruntime.ORTModelForImageClassification"),q(it,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(it,"href","#optimum.onnxruntime.ORTModelForImageClassification"),q(Re,"class","relative group"),q(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(ct,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),q(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(ct,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),q(Ce,"class","relative group"),q(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(_t,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(_t,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(_t,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),q(Se,"class","relative group"),q(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(xt,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),q(xt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(xt,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),q(Ae,"class","relative group"),q(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(yt,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(yt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(yt,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),q(Ie,"class","relative group"),q(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(de,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(Rt,"id","optimum.onnxruntime.ORTModelForTokenClassification"),q(Rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),q(Rt,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),q(Le,"class","relative group"),q(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(St,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),q(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,v){e(document.head,n),k(o,_,v),k(o,c,v),e(c,u),e(u,g),b(s,g,null),e(c,r),e(c,x),e(x,d),k(o,$,v),k(o,j,v),e(j,Ue),e(Ue,Yo),b(Pt,Yo,null),e(j,Ar),e(j,Ko),e(Ko,Nr),k(o,Hs,v),k(o,F,v),b(At,F,null),e(F,Ir),e(F,Zo),e(Zo,Dr),e(F,Lr),e(F,Nt),e(Nt,Xr),e(Nt,en),e(en,Qr),e(Nt,Ur),e(F,Wr),e(F,tn),e(tn,Hr),e(F,Vr),e(F,It),e(It,ie),e(ie,Br),e(ie,on),e(on,Gr),e(ie,Jr),e(ie,nn),e(nn,Yr),e(ie,Kr),e(ie,sn),e(sn,Zr),e(ie,ea),e(It,ta),e(It,le),e(le,oa),e(le,rn),e(rn,na),e(le,sa),e(le,an),e(an,ra),e(le,aa),e(le,ln),e(ln,ia),e(le,la),e(F,pa),e(F,pn),e(pn,ma),e(F,da),e(F,K),e(K,Dt),e(Dt,ca),e(Dt,mn),e(mn,ua),e(Dt,ha),e(K,fa),e(K,Lt),e(Lt,ga),e(Lt,Xt),e(Xt,_a),e(Lt,$a),e(K,va),e(K,Z),e(Z,ka),e(Z,dn),e(dn,xa),e(Z,wa),e(Z,cn),e(cn,Ta),e(Z,ba),e(Z,un),e(un,Oa),e(Z,Ma),e(Z,hn),e(hn,ya),e(Z,qa),e(K,Ea),e(K,Qt),e(Qt,ja),e(Qt,fn),e(fn,Ra),e(Qt,Fa),e(K,Ca),e(K,gn),e(gn,za),e(F,Sa),e(F,We),b(Ut,We,null),e(We,Pa),e(We,_n),e(_n,Aa),e(F,Na),e(F,He),b(Wt,He,null),e(He,Ia),e(He,Ht),e(Ht,Da),e(Ht,$n),e($n,La),e(Ht,Xa),e(F,Qa),e(F,Ve),b(Vt,Ve,null),e(Ve,Ua),e(Ve,vn),e(vn,Wa),k(o,Vs,v),k(o,Oe,v),e(Oe,Be),e(Be,kn),b(Bt,kn,null),e(Oe,Ha),e(Oe,xn),e(xn,Va),k(o,Bs,v),k(o,pe,v),b(Gt,pe,null),e(pe,Ba),e(pe,wn),e(wn,Ga),e(pe,Ja),e(pe,U),b(Jt,U,null),e(U,Ya),e(U,Me),e(Me,Ka),e(Me,Tn),e(Tn,Za),e(Me,ei),e(Me,bn),e(bn,ti),e(Me,oi),e(U,ni),b(Ge,U,null),e(U,si),b(Je,U,null),e(U,ri),b(Ye,U,null),k(o,Gs,v),k(o,ye,v),e(ye,Ke),e(Ke,On),b(Yt,On,null),e(ye,ai),e(ye,Mn),e(Mn,ii),k(o,Js,v),k(o,Q,v),b(Kt,Q,null),e(Q,li),e(Q,yn),e(yn,pi),e(Q,mi),e(Q,Zt),e(Zt,di),e(Zt,qn),e(qn,ci),e(Zt,ui),e(Q,hi),e(Q,En),e(En,fi),e(Q,gi),e(Q,W),b(eo,W,null),e(W,_i),e(W,qe),e(qe,$i),e(qe,jn),e(jn,vi),e(qe,ki),e(qe,Rn),e(Rn,xi),e(qe,wi),e(W,Ti),b(Ze,W,null),e(W,bi),b(et,W,null),e(W,Oi),b(tt,W,null),k(o,Ys,v),k(o,Ee,v),e(Ee,ot),e(ot,Fn),b(to,Fn,null),e(Ee,Mi),e(Ee,Cn),e(Cn,yi),k(o,Ks,v),k(o,A,v),b(oo,A,null),e(A,qi),e(A,zn),e(zn,Ei),e(A,ji),e(A,no),e(no,Ri),e(no,Sn),e(Sn,Fi),e(no,Ci),e(A,zi),e(A,Pn),e(Pn,Si),e(A,Pi),e(A,H),b(so,H,null),e(H,Ai),e(H,je),e(je,Ni),e(je,An),e(An,Ii),e(je,Di),e(je,Nn),e(Nn,Li),e(je,Xi),e(H,Qi),b(nt,H,null),e(H,Ui),b(st,H,null),e(H,Wi),b(rt,H,null),e(A,Hi),e(A,at),b(ro,at,null),e(at,Vi),e(at,In),e(In,Bi),k(o,Zs,v),k(o,Re,v),e(Re,it),e(it,Dn),b(ao,Dn,null),e(Re,Gi),e(Re,Ln),e(Ln,Ji),k(o,er,v),k(o,N,v),b(io,N,null),e(N,Yi),e(N,Xn),e(Xn,Ki),e(N,Zi),e(N,lo),e(lo,el),e(lo,Qn),e(Qn,tl),e(lo,ol),e(N,nl),e(N,Un),e(Un,sl),e(N,rl),e(N,V),b(po,V,null),e(V,al),e(V,Fe),e(Fe,il),e(Fe,Wn),e(Wn,ll),e(Fe,pl),e(Fe,Hn),e(Hn,ml),e(Fe,dl),e(V,cl),b(lt,V,null),e(V,ul),b(pt,V,null),e(V,hl),b(mt,V,null),e(N,fl),e(N,dt),b(mo,dt,null),e(dt,gl),e(dt,Vn),e(Vn,_l),k(o,tr,v),k(o,Ce,v),e(Ce,ct),e(ct,Bn),b(co,Bn,null),e(Ce,$l),e(Ce,Gn),e(Gn,vl),k(o,or,v),k(o,I,v),b(uo,I,null),e(I,kl),e(I,Jn),e(Jn,xl),e(I,wl),e(I,ho),e(ho,Tl),e(ho,Yn),e(Yn,bl),e(ho,Ol),e(I,Ml),e(I,Kn),e(Kn,yl),e(I,ql),e(I,B),b(fo,B,null),e(B,El),e(B,ze),e(ze,jl),e(ze,Zn),e(Zn,Rl),e(ze,Fl),e(ze,es),e(es,Cl),e(ze,zl),e(B,Sl),b(ut,B,null),e(B,Pl),b(ht,B,null),e(B,Al),b(ft,B,null),e(I,Nl),e(I,gt),b(go,gt,null),e(gt,Il),e(gt,ts),e(ts,Dl),k(o,nr,v),k(o,Se,v),e(Se,_t),e(_t,os),b(_o,os,null),e(Se,Ll),e(Se,ns),e(ns,Xl),k(o,sr,v),k(o,me,v),b($o,me,null),e(me,Ql),e(me,ss),e(ss,Ul),e(me,Wl),e(me,G),b(vo,G,null),e(G,Hl),e(G,Pe),e(Pe,Vl),e(Pe,rs),e(rs,Bl),e(Pe,Gl),e(Pe,as),e(as,Jl),e(Pe,Yl),e(G,Kl),b($t,G,null),e(G,Zl),b(vt,G,null),e(G,ep),b(kt,G,null),k(o,rr,v),k(o,Ae,v),e(Ae,xt),e(xt,is),b(ko,is,null),e(Ae,tp),e(Ae,ls),e(ls,op),k(o,ar,v),k(o,D,v),b(xo,D,null),e(D,np),e(D,ps),e(ps,sp),e(D,rp),e(D,wo),e(wo,ap),e(wo,ms),e(ms,ip),e(wo,lp),e(D,pp),e(D,ds),e(ds,mp),e(D,dp),e(D,X),b(To,X,null),e(X,cp),e(X,Ne),e(Ne,up),e(Ne,cs),e(cs,hp),e(Ne,fp),e(Ne,us),e(us,gp),e(Ne,_p),e(X,$p),b(wt,X,null),e(X,vp),b(Tt,X,null),e(X,kp),b(bt,X,null),e(X,xp),b(Ot,X,null),e(D,wp),e(D,Mt),b(bo,Mt,null),e(Mt,Tp),e(Mt,hs),e(hs,bp),k(o,ir,v),k(o,Ie,v),e(Ie,yt),e(yt,fs),b(Oo,fs,null),e(Ie,Op),e(Ie,gs),e(gs,Mp),k(o,lr,v),k(o,de,v),b(Mo,de,null),e(de,yp),e(de,_s),e(_s,qp),e(de,Ep),e(de,J),b(yo,J,null),e(J,jp),e(J,De),e(De,Rp),e(De,$s),e($s,Fp),e(De,Cp),e(De,vs),e(vs,zp),e(De,Sp),e(J,Pp),b(qt,J,null),e(J,Ap),b(Et,J,null),e(J,Np),b(jt,J,null),k(o,pr,v),k(o,Le,v),e(Le,Rt),e(Rt,ks),b(qo,ks,null),e(Le,Ip),e(Le,xs),e(xs,Dp),k(o,mr,v),k(o,L,v),b(Eo,L,null),e(L,Lp),e(L,ws),e(ws,Xp),e(L,Qp),e(L,jo),e(jo,Up),e(jo,Ts),e(Ts,Wp),e(jo,Hp),e(L,Vp),e(L,bs),e(bs,Bp),e(L,Gp),e(L,Y),b(Ro,Y,null),e(Y,Jp),e(Y,Xe),e(Xe,Yp),e(Xe,Os),e(Os,Kp),e(Xe,Zp),e(Xe,Ms),e(Ms,em),e(Xe,tm),e(Y,om),b(Ft,Y,null),e(Y,nm),b(Ct,Y,null),e(Y,sm),b(zt,Y,null),e(L,rm),e(L,St),b(Fo,St,null),e(St,am),e(St,ys),e(ys,im),dr=!0},p(o,[v]){const Co={};v&2&&(Co.$$scope={dirty:v,ctx:o}),Ge.$set(Co);const qs={};v&2&&(qs.$$scope={dirty:v,ctx:o}),Je.$set(qs);const Es={};v&2&&(Es.$$scope={dirty:v,ctx:o}),Ye.$set(Es);const js={};v&2&&(js.$$scope={dirty:v,ctx:o}),Ze.$set(js);const zo={};v&2&&(zo.$$scope={dirty:v,ctx:o}),et.$set(zo);const Rs={};v&2&&(Rs.$$scope={dirty:v,ctx:o}),tt.$set(Rs);const Fs={};v&2&&(Fs.$$scope={dirty:v,ctx:o}),nt.$set(Fs);const Cs={};v&2&&(Cs.$$scope={dirty:v,ctx:o}),st.$set(Cs);const C={};v&2&&(C.$$scope={dirty:v,ctx:o}),rt.$set(C);const zs={};v&2&&(zs.$$scope={dirty:v,ctx:o}),lt.$set(zs);const So={};v&2&&(So.$$scope={dirty:v,ctx:o}),pt.$set(So);const Ss={};v&2&&(Ss.$$scope={dirty:v,ctx:o}),mt.$set(Ss);const Ps={};v&2&&(Ps.$$scope={dirty:v,ctx:o}),ut.$set(Ps);const Po={};v&2&&(Po.$$scope={dirty:v,ctx:o}),ht.$set(Po);const ce={};v&2&&(ce.$$scope={dirty:v,ctx:o}),ft.$set(ce);const As={};v&2&&(As.$$scope={dirty:v,ctx:o}),$t.$set(As);const Ns={};v&2&&(Ns.$$scope={dirty:v,ctx:o}),vt.$set(Ns);const Is={};v&2&&(Is.$$scope={dirty:v,ctx:o}),kt.$set(Is);const ue={};v&2&&(ue.$$scope={dirty:v,ctx:o}),wt.$set(ue);const Ds={};v&2&&(Ds.$$scope={dirty:v,ctx:o}),Tt.$set(Ds);const Ls={};v&2&&(Ls.$$scope={dirty:v,ctx:o}),bt.$set(Ls);const Xs={};v&2&&(Xs.$$scope={dirty:v,ctx:o}),Ot.$set(Xs);const Qs={};v&2&&(Qs.$$scope={dirty:v,ctx:o}),qt.$set(Qs);const ee={};v&2&&(ee.$$scope={dirty:v,ctx:o}),Et.$set(ee);const Ao={};v&2&&(Ao.$$scope={dirty:v,ctx:o}),jt.$set(Ao);const Us={};v&2&&(Us.$$scope={dirty:v,ctx:o}),Ft.$set(Us);const No={};v&2&&(No.$$scope={dirty:v,ctx:o}),Ct.$set(No);const Ws={};v&2&&(Ws.$$scope={dirty:v,ctx:o}),zt.$set(Ws)},i(o){dr||(O(s.$$.fragment,o),O(Pt.$$.fragment,o),O(At.$$.fragment,o),O(Ut.$$.fragment,o),O(Wt.$$.fragment,o),O(Vt.$$.fragment,o),O(Bt.$$.fragment,o),O(Gt.$$.fragment,o),O(Jt.$$.fragment,o),O(Ge.$$.fragment,o),O(Je.$$.fragment,o),O(Ye.$$.fragment,o),O(Yt.$$.fragment,o),O(Kt.$$.fragment,o),O(eo.$$.fragment,o),O(Ze.$$.fragment,o),O(et.$$.fragment,o),O(tt.$$.fragment,o),O(to.$$.fragment,o),O(oo.$$.fragment,o),O(so.$$.fragment,o),O(nt.$$.fragment,o),O(st.$$.fragment,o),O(rt.$$.fragment,o),O(ro.$$.fragment,o),O(ao.$$.fragment,o),O(io.$$.fragment,o),O(po.$$.fragment,o),O(lt.$$.fragment,o),O(pt.$$.fragment,o),O(mt.$$.fragment,o),O(mo.$$.fragment,o),O(co.$$.fragment,o),O(uo.$$.fragment,o),O(fo.$$.fragment,o),O(ut.$$.fragment,o),O(ht.$$.fragment,o),O(ft.$$.fragment,o),O(go.$$.fragment,o),O(_o.$$.fragment,o),O($o.$$.fragment,o),O(vo.$$.fragment,o),O($t.$$.fragment,o),O(vt.$$.fragment,o),O(kt.$$.fragment,o),O(ko.$$.fragment,o),O(xo.$$.fragment,o),O(To.$$.fragment,o),O(wt.$$.fragment,o),O(Tt.$$.fragment,o),O(bt.$$.fragment,o),O(Ot.$$.fragment,o),O(bo.$$.fragment,o),O(Oo.$$.fragment,o),O(Mo.$$.fragment,o),O(yo.$$.fragment,o),O(qt.$$.fragment,o),O(Et.$$.fragment,o),O(jt.$$.fragment,o),O(qo.$$.fragment,o),O(Eo.$$.fragment,o),O(Ro.$$.fragment,o),O(Ft.$$.fragment,o),O(Ct.$$.fragment,o),O(zt.$$.fragment,o),O(Fo.$$.fragment,o),dr=!0)},o(o){M(s.$$.fragment,o),M(Pt.$$.fragment,o),M(At.$$.fragment,o),M(Ut.$$.fragment,o),M(Wt.$$.fragment,o),M(Vt.$$.fragment,o),M(Bt.$$.fragment,o),M(Gt.$$.fragment,o),M(Jt.$$.fragment,o),M(Ge.$$.fragment,o),M(Je.$$.fragment,o),M(Ye.$$.fragment,o),M(Yt.$$.fragment,o),M(Kt.$$.fragment,o),M(eo.$$.fragment,o),M(Ze.$$.fragment,o),M(et.$$.fragment,o),M(tt.$$.fragment,o),M(to.$$.fragment,o),M(oo.$$.fragment,o),M(so.$$.fragment,o),M(nt.$$.fragment,o),M(st.$$.fragment,o),M(rt.$$.fragment,o),M(ro.$$.fragment,o),M(ao.$$.fragment,o),M(io.$$.fragment,o),M(po.$$.fragment,o),M(lt.$$.fragment,o),M(pt.$$.fragment,o),M(mt.$$.fragment,o),M(mo.$$.fragment,o),M(co.$$.fragment,o),M(uo.$$.fragment,o),M(fo.$$.fragment,o),M(ut.$$.fragment,o),M(ht.$$.fragment,o),M(ft.$$.fragment,o),M(go.$$.fragment,o),M(_o.$$.fragment,o),M($o.$$.fragment,o),M(vo.$$.fragment,o),M($t.$$.fragment,o),M(vt.$$.fragment,o),M(kt.$$.fragment,o),M(ko.$$.fragment,o),M(xo.$$.fragment,o),M(To.$$.fragment,o),M(wt.$$.fragment,o),M(Tt.$$.fragment,o),M(bt.$$.fragment,o),M(Ot.$$.fragment,o),M(bo.$$.fragment,o),M(Oo.$$.fragment,o),M(Mo.$$.fragment,o),M(yo.$$.fragment,o),M(qt.$$.fragment,o),M(Et.$$.fragment,o),M(jt.$$.fragment,o),M(qo.$$.fragment,o),M(Eo.$$.fragment,o),M(Ro.$$.fragment,o),M(Ft.$$.fragment,o),M(Ct.$$.fragment,o),M(zt.$$.fragment,o),M(Fo.$$.fragment,o),dr=!1},d(o){t(n),o&&t(_),o&&t(c),y(s),o&&t($),o&&t(j),y(Pt),o&&t(Hs),o&&t(F),y(At),y(Ut),y(Wt),y(Vt),o&&t(Vs),o&&t(Oe),y(Bt),o&&t(Bs),o&&t(pe),y(Gt),y(Jt),y(Ge),y(Je),y(Ye),o&&t(Gs),o&&t(ye),y(Yt),o&&t(Js),o&&t(Q),y(Kt),y(eo),y(Ze),y(et),y(tt),o&&t(Ys),o&&t(Ee),y(to),o&&t(Ks),o&&t(A),y(oo),y(so),y(nt),y(st),y(rt),y(ro),o&&t(Zs),o&&t(Re),y(ao),o&&t(er),o&&t(N),y(io),y(po),y(lt),y(pt),y(mt),y(mo),o&&t(tr),o&&t(Ce),y(co),o&&t(or),o&&t(I),y(uo),y(fo),y(ut),y(ht),y(ft),y(go),o&&t(nr),o&&t(Se),y(_o),o&&t(sr),o&&t(me),y($o),y(vo),y($t),y(vt),y(kt),o&&t(rr),o&&t(Ae),y(ko),o&&t(ar),o&&t(D),y(xo),y(To),y(wt),y(Tt),y(bt),y(Ot),y(bo),o&&t(ir),o&&t(Ie),y(Oo),o&&t(lr),o&&t(de),y(Mo),y(yo),y(qt),y(Et),y(jt),o&&t(pr),o&&t(Le),y(qo),o&&t(mr),o&&t(L),y(Eo),y(Ro),y(Ft),y(Ct),y(zt),y(Fo)}}}const hc={local:"models",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"},{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"}],title:"Models"};function fc(E){return Nd(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class wc extends zd{constructor(n){super();Sd(this,n,fc,uc,Pd,{})}}export{wc as default,hc as metadata};
